Deployments.ai Docs
Governance

Replace an organization's egress allowlist

PUT /v1/organizations/{id}/egress-allowlist · SDK replaceOrganizationEgressAllowlist · CLI deployments egress-allowlist set

PUT
/v1/organizations/{id}/egress-allowlist

Requires governance:write.

Authorization

platformBearer
headerAuthorizationBearer <token>

Platform bearer credential accepted as an opaque API key or JWT.

Path Parameters

id*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-organization*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key*string
Length1 <= length <= 512

Request Body

application/json
  1. body
entries*array<>

The whole list, at most 200 unique origins. It replaces the stored list.

Response Body

OrganizationEgressAllowlistChangeResponse

application/json
  1. response
allowlist*
changed*boolean

false when the stored list already had these origins and notes.

curl -X PUT "https://example.com/v1/organizations/string/egress-allowlist" \  -H "x-deployments-organization: string" \  -H "idempotency-key: string" \  -H "Content-Type: application/json" \  -d '{    "entries": [      {        "origin": "string"      }    ]  }'
{  "allowlist": {    "entries": [      {        "note": "string",        "origin": "string"      }    ],    "organizationId": "string",    "updatedAt": "2019-08-24T14:15:22Z",    "updatedByPrincipalId": "string",    "version": 0  },  "changed": true}